package kadai;
import kotae.AbstractMoney2;
public abstract class AbstractMoney3 extends AbstractMoney2 implements Money3 {
	public AbstractMoney3(double i) {
		super(i);
	}
	@SuppressWarnings("unchecked")
	@Override
	public <T extends Money2> T getYen(){
		if(this instanceof Yen) return (T) this;
		return (T) new Yen3(getValue()*getYenRate());
	}
	@Override
	public <T extends Money3> T plus(T x) {
		if(this.getClass() != x.getClass()){
			throw new IllegalArgumentException();
		}
		return this.getNewInstance(getValue()+x.getValue());
	}
}
