package test;
import kadai.Dollar2;
import kadai.Euro2;
import kadai.Money2;
import kadai.Yen2;
public class Money2Factory implements MoneyFactory<Money2> {
	@Override
	public Money2 getYen(double value){
		return new Yen2(value);
	}
	@Override
	public Money2 getDollar(double value){
		return new Dollar2(value);
	}
	@Override
	public Money2 getEuro(double value){
		return new Euro2(value);
	}
}
