package test;
import kadai.Dollar3;
import kadai.Euro3;
import kadai.Money3;
import kadai.Yen3;
public class Money3Factory implements MoneyFactory<Money3> {
	@Override
	public Money3 getYen(double value){
		return new Yen3(value);
	}
	@Override
	public Money3 getDollar(double value){
		return new Dollar3(value);
	}
	@Override
	public Money3 getEuro(double value){
		return new Euro3(value);
	}
}
