package kadai;

import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;

public interface Money3 extends Money2 { 
	@SuppressWarnings("unchecked")
	default <T extends Money> T getNewInstance(double value)  {
		Constructor<? extends Money> c = null;
		try {
			c = this.getClass().getConstructor(double.class);
		} catch (NoSuchMethodException | SecurityException e) {
			return null;
		}
		T result = null;
		try {
			result = (T) c.newInstance(value);
		} catch (InstantiationException | IllegalAccessException
				| IllegalArgumentException | InvocationTargetException e) {
			return null;
		}
		return result;
	}
	<T extends Money3> T plus(T x);
}
