package test;
import kadai.Dollar2;
import org.junit.Test;
public class Dollar2Test extends Ex2Test {
	@Test
	public void testCompareTo(){
		checkCompareTo(x->new Dollar2(x),x->Dollar2.setYenRate(x),110);
	}
	@Test
	public void testHashCode1(){
		Dollar2.setYenRate(80);
		checkHashCode(x->new Dollar2(x));
	}
	@Test
	public void testHashCode2(){
		Dollar2.setYenRate(120);
		checkHashCode(x->new Dollar2(x));
	}
	@Test 
	public void testEquals(){
		checkEquals(x->new Dollar2(x),x->Dollar2.setYenRate(x),110);
	}
	@Test
	public void testSetYenRate() throws ClassNotFoundException {
		checkSetYenRate(x->new Dollar2(x),x->Dollar2.setYenRate(x),
				3,"$3.0",80.0,"240.0円", 100.0, "300.0円");
	}
	@Test
	public void testToString() {
		checkToString(x->new Dollar2(x),3.0, "$3.0");
	}
}
