package test;
import java.util.ArrayList;
import java.util.List;
import kadai.Money;
public interface MoneyFactory<T extends Money> {
	T getYen(double value);
	T getDollar(double value);
	T getEuro(double value);
	static <T extends Money> List<T> getList(MoneyFactory<T> f) {
		List<T> moneyList = new ArrayList<>();
		moneyList.add(f.getEuro(1));
		moneyList.add(f.getYen(200));
		moneyList.add(f.getDollar(2));
		moneyList.add(f.getYen(100));
		moneyList.add(f.getYen(150));
		moneyList.add(f.getDollar(5));
		moneyList.add(f.getDollar(1));
		moneyList.add(f.getEuro(2));
		moneyList.add(f.getEuro(3));
		return moneyList;
	}
}
